Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum cmdClients.ClientInfoModel.TypeTAXN

java.lang.Object
java.lang.Enum<cmdClients.ClientInfoModel.TypeTAXN>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdClients.ClientInfoModel.TypeTAXN

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdClients.ClientInfoModel.TypeTAXN>`, `java.lang.constant.Constable`

Enclosing class:
  cmdClients.ClientInfoModel

    public static enum cmdClients.ClientInfoModel.TypeTAXN
    extends java.lang.Enum<cmdClients.ClientInfoModel.TypeTAXN>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BULSTAT` |
  `EGN` |
  `LNCH` |
  `SERVICE` |

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static cmdClients.ClientInfoModel.TypeTAXN[]` | `allValues` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdClients.ClientInfoModel.TypeTAXN` | `fromOrdinal​(int n)` |
  `static cmdClients.ClientInfoModel.TypeTAXN` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdClients.ClientInfoModel.TypeTAXN[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BULSTAT

    public static final cmdClients.ClientInfoModel.TypeTAXN BULSTAT

  - ### EGN

    public static final cmdClients.ClientInfoModel.TypeTAXN EGN

  - ### LNCH

    public static final cmdClients.ClientInfoModel.TypeTAXN LNCH

  - ### SERVICE

    public static final cmdClients.ClientInfoModel.TypeTAXN SERVICE

- ## Field Details

  - ### allValues

    public static cmdClients.ClientInfoModel.TypeTAXN[] allValues

- ## Method Details

  - ### values

    public static cmdClients.ClientInfoModel.TypeTAXN[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdClients.ClientInfoModel.TypeTAXN valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### fromOrdinal

    public static cmdClients.ClientInfoModel.TypeTAXN fromOrdinal​(int n)